import { LogType } from '@/constants/enumerate';
import { PageResult, PageParams } from './common';

// 日志
export interface LogItem {
  // 登录名
  loginName: string;
  // 用户类型
  userType: string;
  // 操作类型
  operationType: string;
  // 登录IP
  loginIp: string;
  // 功能模块
  function: string;
  // 操作时间
  operationTime: string;
  // 详情
  detail: string;
}
export type LogListPageRes = PageResult<LogItem>;

export interface LogListFilter {
  // 登录名
  loginName?: string;
  // 用户类型
  userType?: string;
  // 操作类型
  operationType?: LogType;
}
export type LogListPageParam = PageParams<LogListFilter>;
