import { PageResult, PageParams } from './common';

export interface ScanItem {
  // 考试名称
  name: string;
  // 考生总数
  totalStudents: number;
  // 已扫张数
  scannedSheets: number;
  // 已扫人数
  scannedStudents: number;
  // 人工指定缺考
  manualAbsent: number;
  // 进度
  progress: number;
}

export type ScanListPageRes = PageResult<ScanItem>;

export interface ScanCourseListFilter {
  // 科目
  subject?: number | null;
  // 层次
  level?: string;
  // 专业类型
  majorType?: string;
}
export type ScanCousreListPageParam = PageParams<ScanCourseListFilter>;

export interface ScanPointListFilter {
  // 考点
  point?: string;
}
export type ScanPointListPageParam = PageParams<ScanPointListFilter>;

// 签到表统计项
export interface SignPaperStatItem {
  id: number;
  // 签到表编号
  signPaperNo: string;
  // 图片数量
  imageCount: number;
}
export type SignPaperStatListPageRes = PageResult<SignPaperStatItem>;

export interface SignPaperStatListFilter {
  // 签到表编号
  signPaperNo?: string;
  // 状态
  status?: string;
}

export type SignPaperStatListPageParam = PageParams<SignPaperStatListFilter>;
